io.vertx.openapi.contract

## Enum Style

- java.lang.Object
- - java.lang.Enum<Style>
  - - io.vertx.openapi.contract.Style

- All Implemented Interfaces:
    Serializable, Comparable<Style>

      public enum Style
      extends Enum<Style>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEEP_OBJECT`
    `FORM`
    `LABEL`
    `MATRIX`
    `PIPE_DELIMITED`
    `SIMPLE`
    `SPACE_DELIMITED`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Style` | `defaultByLocation(Location in)`
    `static Style` | `parse(String style)`
    `String` | `toString()`
    `static Style` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Style[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MATRIX

          public static final Style MATRIX

    - #### LABEL

          public static final Style LABEL

    - #### FORM

          public static final Style FORM

    - #### SIMPLE

          public static final Style SIMPLE

    - #### SPACE_DELIMITED

          public static final Style SPACE_DELIMITED

    - #### PIPE_DELIMITED

          public static final Style PIPE_DELIMITED

    - #### DEEP_OBJECT

          public static final Style DEEP_OBJECT

  - ### Method Detail

    - #### values

          public static Style[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Style c : Style.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Style valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### parse

          public static Style parse(String style)

    - #### defaultByLocation

          public static Style defaultByLocation(Location in)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<Style>`

Copyright © 2023 Eclipse. All rights reserved.